Package org.gitana.platform.client.tenant

# Class TenantImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl
org.gitana.platform.client.tenant.TenantImpl

All Implemented Interfaces:
  `Serializable`, `Document`, `PlatformDocument`, `RegistrarDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Tenant`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class TenantImpl extends AbstractRegistrarDocumentImpl implements Tenant

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.tenant.Tenant

`FIELD_BILLING_PAYMENT_METHOD_ID, FIELD_BILLING_SUBSCRIPTION_ID, FIELD_DEPLOYED_APPLICATION_COUNT, FIELD_DNS_SLUG, FIELD_DOMAIN_ID, FIELD_ENABLED, FIELD_PLAN_KEY, FIELD_PLATFORM_ID, FIELD_PRINCIPAL_ID, FIELD_SUBTENANT_COUNT`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`TenantImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeOut()`
`PaymentMethod`
`createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)`
`PaymentMethod`
`createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)`
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getBillingMethodPaymentId()`
`String`
`getBillingSubscriptionId()`
`int`
`getDeployedApplicationCount()`
`String`
`getDnsSlug()`
`String`
`getDomainId()`
`boolean`
`getEnabled()`
`String`
`getPlanKey()`
`String`
`getPlatformId()`
`String`
`getPrincipalId()`
`protected String`
`getResourceUri()`
`int`
`getSubTenantCount()`
`String`
`getTypeId()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedApplicationObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedApplicationObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedClientObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedClientObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDirectoryObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDirectoryObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDomainObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedDomainObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(String objectType)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(String objectType, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRegistrarObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRegistrarObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRepositoryObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedRepositoryObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedStackObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedStackObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedVaultObjects()`
`org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode>`
`listAllocatedVaultObjects(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`listBillingTransactions()`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`listBillingTransactions(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`listPaymentMethods()`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`listPaymentMethods(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`BillingTransaction`
`readBillingTransaction(String transactionId)`
`Meter`
`readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`readDefaultAllocatedClientObject()`
Administrative method that will only work for the "owner" of the tenant.
`PaymentMethod`
`readPaymentMethod(String paymentMethodId)`
`void`
`reload()`
Reload
`void`
`setBillingMethodPaymentId(String billingPaymentMethodId)`
`void`
`setBillingSubscriptionId(String billingSubscriptionId)`
`void`
`setDeployedApplicationCount(int deployedApplicationCount)`
`void`
`setDnsSlug(String tenantDnsKey)`
`void`
`setDomainId(String domainId)`
`void`
`setEnabled(boolean enabled)`
`void`
`setPlanKey(String planKey)`
`void`
`setPlatformId(String platformId)`
`void`
`setPrincipalId(String adminPrincipalId)`
`void`
`setSubTenantCount(int subtenantCount)`
`void`
`update()`
Update
`void`
`update(com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
Updates the tenant with a payment method object.

### Methods inherited from class org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl

`getRegistrar, getRegistrarId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### TenantImpl

public TenantImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### update

public void update(com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)
Description copied from interface: `Tenant`
Updates the tenant with a payment method object.

Specified by:
  `update` in interface `Tenant`
Parameters:
  `paymentMethodObject` -

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### closeOut

public void closeOut()

Specified by:
  `closeOut` in interface `Tenant`

### setPlanKey

public void setPlanKey(String planKey)

Specified by:
  `setPlanKey` in interface `Tenant`

### getPlanKey

public String getPlanKey()

Specified by:
  `getPlanKey` in interface `Tenant`

### setPrincipalId

public void setPrincipalId(String adminPrincipalId)

Specified by:
  `setPrincipalId` in interface `Tenant`

### getPrincipalId

public String getPrincipalId()

Specified by:
  `getPrincipalId` in interface `Tenant`

### setDomainId

public void setDomainId(String domainId)

Specified by:
  `setDomainId` in interface `Tenant`

### getDomainId

public String getDomainId()

Specified by:
  `getDomainId` in interface `Tenant`

### setPlatformId

public void setPlatformId(String platformId)

Specified by:
  `setPlatformId` in interface `Tenant`

### getPlatformId

public String getPlatformId()

Specified by:
  `getPlatformId` in interface `PlatformDocument`
Specified by:
  `getPlatformId` in interface `Tenant`
Overrides:
  `getPlatformId` in class `AbstractPlatformDocumentImpl`

### setBillingSubscriptionId

public void setBillingSubscriptionId(String billingSubscriptionId)

Specified by:
  `setBillingSubscriptionId` in interface `Tenant`

### getBillingSubscriptionId

public String getBillingSubscriptionId()

Specified by:
  `getBillingSubscriptionId` in interface `Tenant`

### setBillingMethodPaymentId

public void setBillingMethodPaymentId(String billingPaymentMethodId)

Specified by:
  `setBillingMethodPaymentId` in interface `Tenant`

### getBillingMethodPaymentId

public String getBillingMethodPaymentId()

Specified by:
  `getBillingMethodPaymentId` in interface `Tenant`

### setDnsSlug

public void setDnsSlug(String tenantDnsKey)

Specified by:
  `setDnsSlug` in interface `Tenant`

### getDnsSlug

public String getDnsSlug()

Specified by:
  `getDnsSlug` in interface `Tenant`

### setSubTenantCount

public void setSubTenantCount(int subtenantCount)

Specified by:
  `setSubTenantCount` in interface `Tenant`

### getSubTenantCount

public int getSubTenantCount()

Specified by:
  `getSubTenantCount` in interface `Tenant`

### setDeployedApplicationCount

public void setDeployedApplicationCount(int deployedApplicationCount)

Specified by:
  `setDeployedApplicationCount` in interface `Tenant`

### getDeployedApplicationCount

public int getDeployedApplicationCount()

Specified by:
  `getDeployedApplicationCount` in interface `Tenant`

### getEnabled

public boolean getEnabled()

Specified by:
  `getEnabled` in interface `Tenant`

### setEnabled

public void setEnabled(boolean enabled)

Specified by:
  `setEnabled` in interface `Tenant`

### listAllocatedObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects()

Specified by:
  `listAllocatedObjects` in interface `Tenant`

### listAllocatedObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedObjects` in interface `Tenant`

### listAllocatedObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(String objectType)

Specified by:
  `listAllocatedObjects` in interface `Tenant`

### listAllocatedObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedObjects(String objectType, org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedObjects` in interface `Tenant`

### listAllocatedRepositoryObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRepositoryObjects()

Specified by:
  `listAllocatedRepositoryObjects` in interface `Tenant`

### listAllocatedRepositoryObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRepositoryObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedRepositoryObjects` in interface `Tenant`

### listAllocatedDomainObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDomainObjects()

Specified by:
  `listAllocatedDomainObjects` in interface `Tenant`

### listAllocatedDomainObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDomainObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedDomainObjects` in interface `Tenant`

### listAllocatedVaultObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedVaultObjects()

Specified by:
  `listAllocatedVaultObjects` in interface `Tenant`

### listAllocatedVaultObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedVaultObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedVaultObjects` in interface `Tenant`

### listAllocatedClientObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedClientObjects()

Specified by:
  `listAllocatedClientObjects` in interface `Tenant`

### listAllocatedClientObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedClientObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedClientObjects` in interface `Tenant`

### listAllocatedRegistrarObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRegistrarObjects()

Specified by:
  `listAllocatedRegistrarObjects` in interface `Tenant`

### listAllocatedRegistrarObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedRegistrarObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedRegistrarObjects` in interface `Tenant`

### listAllocatedStackObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedStackObjects()

Specified by:
  `listAllocatedStackObjects` in interface `Tenant`

### listAllocatedStackObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedStackObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedStackObjects` in interface `Tenant`

### listAllocatedDirectoryObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDirectoryObjects()

Specified by:
  `listAllocatedDirectoryObjects` in interface `Tenant`

### listAllocatedDirectoryObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedDirectoryObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedDirectoryObjects` in interface `Tenant`

### listAllocatedApplicationObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedApplicationObjects()

Specified by:
  `listAllocatedApplicationObjects` in interface `Tenant`

### listAllocatedApplicationObjects

public org.gitana.platform.support.ResultMap<com.fasterxml.jackson.databind.node.ObjectNode> listAllocatedApplicationObjects(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAllocatedApplicationObjects` in interface `Tenant`

### readDefaultAllocatedClientObject

public com.fasterxml.jackson.databind.node.ObjectNode readDefaultAllocatedClientObject()
Description copied from interface: `Tenant`
Administrative method that will only work for the "owner" of the tenant. Otherwise will return null.

Specified by:
  `readDefaultAllocatedClientObject` in interface `Tenant`
Returns:
  default client configuration

### listPaymentMethods

public org.gitana.platform.support.ResultMap<PaymentMethod> listPaymentMethods()

Specified by:
  `listPaymentMethods` in interface `Tenant`

### listPaymentMethods

public org.gitana.platform.support.ResultMap<PaymentMethod> listPaymentMethods(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listPaymentMethods` in interface `Tenant`

### queryPaymentMethods

public org.gitana.platform.support.ResultMap<PaymentMethod> queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryPaymentMethods` in interface `Tenant`

### queryPaymentMethods

public org.gitana.platform.support.ResultMap<PaymentMethod> queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryPaymentMethods` in interface `Tenant`

### readPaymentMethod

public PaymentMethod readPaymentMethod(String paymentMethodId)

Specified by:
  `readPaymentMethod` in interface `Tenant`

### createPaymentMethod

public PaymentMethod createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)

Specified by:
  `createPaymentMethod` in interface `Tenant`

### createPaymentMethod

public PaymentMethod createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createPaymentMethod` in interface `Tenant`

### listBillingTransactions

public org.gitana.platform.support.ResultMap<BillingTransaction> listBillingTransactions()

Specified by:
  `listBillingTransactions` in interface `Tenant`

### listBillingTransactions

public org.gitana.platform.support.ResultMap<BillingTransaction> listBillingTransactions(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listBillingTransactions` in interface `Tenant`

### queryBillingTransactions

public org.gitana.platform.support.ResultMap<BillingTransaction> queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryBillingTransactions` in interface `Tenant`

### queryBillingTransactions

public org.gitana.platform.support.ResultMap<BillingTransaction> queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryBillingTransactions` in interface `Tenant`

### readBillingTransaction

public BillingTransaction readBillingTransaction(String transactionId)

Specified by:
  `readBillingTransaction` in interface `Tenant`

### listMeters

public org.gitana.platform.support.ResultMap<Meter> listMeters()

Specified by:
  `listMeters` in interface `Tenant`

### listMeters

public org.gitana.platform.support.ResultMap<Meter> listMeters(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listMeters` in interface `Tenant`

### queryMeters

public org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryMeters` in interface `Tenant`

### queryMeters

public org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryMeters` in interface `Tenant`

### readCurrentMeter

public Meter readCurrentMeter(org.gitana.platform.services.meter.MeterType meterType)

Specified by:
  `readCurrentMeter` in interface `Tenant`